View Issue Details

IDProjectCategoryView StatusLast Update
0032944LazarusLCLpublic2018-02-06 06:10
Reporterwp Assigned ToOndrej Pokorny  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.9 (SVN) 
Summary0032944: Button width of edit-button combinations not scaled if designed at Hi-DPI
DescriptionIf any of the combined edit-button components (e.g. TFilenameEdit) is dropped on a form then the buttons are square if Lazarus runs on a normal-resolution machine.

If the form, however, is designed at high PPI the height is scaled according to the PPI resolution, but the width is unchanged. --> The buttons are too narrow.

See attached screenshots.
Steps To ReproduceDrop a TFilenameEdit (or any other edit-button-combination) onto a form
TagsNo tags attached.
Fixed in Revision56962
LazTarget-
Widgetset
Attached Files

Relationships

related to 0032924 closedwp [Patch] Square buttons in IDE. 
related to 0033132 closedOndrej Pokorny high-dpi: font.size was shrinked when not 0 

Activities

wp

2018-01-04 20:41

developer  

EditBtns_96ppi.png (3,696 bytes)   
EditBtns_96ppi.png (3,696 bytes)   

wp

2018-01-04 20:43

developer  

EditBtns_144ppi.png (9,602 bytes)   
EditBtns_144ppi.png (9,602 bytes)   

wp

2018-01-05 10:16

developer   ~0105369

Thanks. Works perfectly now.

wp

2018-01-05 10:25

developer   ~0105372

... but it breaks third-party components calling ScaleFontsPPI

Ondrej Pokorny

2018-01-05 12:27

developer   ~0105376

... unfortunately, they have to be updated :/ ...

Ondrej Pokorny

2018-01-06 01:02

developer   ~0105395

Documented: http://wiki.freepascal.org/Lazarus_1.10.0_release_notes

Issue History

Date Modified Username Field Change
2018-01-04 20:41 wp New Issue
2018-01-04 20:41 wp Status new => assigned
2018-01-04 20:41 wp Assigned To => Ondrej Pokorny
2018-01-04 20:41 wp File Added: EditBtns_96ppi.png
2018-01-04 20:42 wp File Added: EditBtns_144ppi.png
2018-01-04 20:43 wp File Deleted: EditBtns_144ppi.png
2018-01-04 20:43 wp File Added: EditBtns_144ppi.png
2018-01-04 22:39 wp Relationship added related to 0032924
2018-01-05 09:10 Ondrej Pokorny Fixed in Revision => 56962
2018-01-05 09:10 Ondrej Pokorny Status assigned => resolved
2018-01-05 09:10 Ondrej Pokorny Resolution open => fixed
2018-01-05 10:16 wp Note Added: 0105369
2018-01-05 10:16 wp Status resolved => closed
2018-01-05 10:25 wp Note Added: 0105372
2018-01-05 10:25 wp Status closed => assigned
2018-01-05 10:25 wp Resolution fixed => reopened
2018-01-05 12:27 Ondrej Pokorny Note Added: 0105376
2018-01-06 01:02 Ondrej Pokorny Note Added: 0105395
2018-01-06 01:02 Ondrej Pokorny Status assigned => resolved
2018-01-06 01:02 Ondrej Pokorny Resolution reopened => fixed
2018-01-06 10:54 wp Status resolved => closed
2018-02-06 06:10 Ondrej Pokorny Relationship added related to 0033132